Update a driver
curl --request PATCH \
--url https://app.unitedlogistics.com.do/api/v1/drivers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": 123,
"name": "<string>",
"driver_key": "<string>",
"license_number": "<string>",
"profile_picture_url": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"notes": "<string>",
"reactivate": true
}
'import requests
url = "https://app.unitedlogistics.com.do/api/v1/drivers/{id}"
payload = {
"external_id": 123,
"name": "<string>",
"driver_key": "<string>",
"license_number": "<string>",
"profile_picture_url": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"notes": "<string>",
"reactivate": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 123,
name: '<string>',
driver_key: '<string>',
license_number: '<string>',
profile_picture_url: '<string>',
phone_number: '<string>',
email: 'jsmith@example.com',
notes: '<string>',
reactivate: true
})
};
fetch('https://app.unitedlogistics.com.do/api/v1/drivers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": 123,
"provider": "karma",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"driver_key": "<string>",
"license_number": "<string>",
"profile_picture_url": "<string>",
"status": "<string>",
"phone_number": "<string>",
"email": "<string>",
"notes": "<string>",
"deactivated_at": "<string>",
"deactivation_reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}Drivers
Update a driver
Partially updates a driver. Set reactivate: true to clear deactivated_at and restore an inactive driver.
PATCH
/
drivers
/
{id}
Update a driver
Authorizations
Authorization: Bearer ulk__. Cree la clave en Configuración → API.
Path Parameters
Body
application/json
Available options:
karma, internal Required string length:
1 - 200Required string length:
1 - 200Maximum string length:
100Available options:
active, inactive, on_leave, suspended Maximum string length:
50Maximum string length:
200Maximum string length:
2000Response
OK
Show child attributes
Show child attributes
⌘I
